Sessions Available Columns
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/sessions/available_columns \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
'{
"columns": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"group_label": "<string>",
"multi_valued": false,
"allowed_values": [
"<unknown>"
],
"sortable": true,
"filterable": true,
"is_empty": false,
"applicable_types": [],
"is_optional": false,
"roll_up_method": "<string>",
"metric_key_alias": "<string>",
"scorer_config": {
"id": "<string>",
"model_name": "<string>",
"num_judges": 123,
"filters": [
{
"value": "<string>",
"name": "node_name",
"case_sensitive": true
}
],
"scoreable_node_types": [
"<string>"
],
"cot_enabled": true,
"name": "<string>",
"scorer_version": {
"id": "<string>",
"version": 123,
"scorer_id": "<string>",
"generated_scorer": {
"id": "<string>",
"name": "<string>",
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"instructions": "<string>",
"user_prompt": "<string>"
},
"registered_scorer": {
"id": "<string>",
"name": "<string>",
"score_type": "<string>"
},
"finetuned_scorer": {
"id": "<string>",
"name": "<string>",
"lora_task_id": 123,
"prompt": "<string>",
"lora_weights_path": "<string>",
"class_name_to_vocab_ix": {}
},
"model_name": "<string>",
"num_judges": 123,
"scoreable_node_types": [
"<string>"
],
"cot_enabled": true
},
"multimodal_capabilities": [],
"score_type": "<string>"
},
"scorer_id": "<string>",
"threshold": {
"inverted": false,
"buckets": [
123
],
"display_value_levels": [
"<string>"
]
}
}
]
}trace
Sessions Available Columns
POST
/
v2
/
projects
/
{project_id}
/
sessions
/
available_columns
Sessions Available Columns
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/sessions/available_columns \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
'{
"columns": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"group_label": "<string>",
"multi_valued": false,
"allowed_values": [
"<unknown>"
],
"sortable": true,
"filterable": true,
"is_empty": false,
"applicable_types": [],
"is_optional": false,
"roll_up_method": "<string>",
"metric_key_alias": "<string>",
"scorer_config": {
"id": "<string>",
"model_name": "<string>",
"num_judges": 123,
"filters": [
{
"value": "<string>",
"name": "node_name",
"case_sensitive": true
}
],
"scoreable_node_types": [
"<string>"
],
"cot_enabled": true,
"name": "<string>",
"scorer_version": {
"id": "<string>",
"version": 123,
"scorer_id": "<string>",
"generated_scorer": {
"id": "<string>",
"name": "<string>",
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"instructions": "<string>",
"user_prompt": "<string>"
},
"registered_scorer": {
"id": "<string>",
"name": "<string>",
"score_type": "<string>"
},
"finetuned_scorer": {
"id": "<string>",
"name": "<string>",
"lora_task_id": 123,
"prompt": "<string>",
"lora_weights_path": "<string>",
"class_name_to_vocab_ix": {}
},
"model_name": "<string>",
"num_judges": 123,
"scoreable_node_types": [
"<string>"
],
"cot_enabled": true
},
"multimodal_capabilities": [],
"score_type": "<string>"
},
"scorer_id": "<string>",
"threshold": {
"inverted": false,
"buckets": [
123
],
"display_value_levels": [
"<string>"
]
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
APIKeyHeaderOAuth2PasswordBearer
Path Parameters
Body
application/json
Log stream id associated with the traces.
Experiment id associated with the traces.
Metrics testing id associated with the traces.
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I